########################
# GLOBAL (all projects)
########################

todo

# IDEs
.idea/
.vscode/
*.iml
*.ipr
*.iws

# OS
.DS_Store

# Logs
*.log

########################
# BACKEND (Spring Boot)
########################

backend/.gradle/
backend/build/
backend/bin/
backend/src/main/resources/application.properties

backend/.env
backend/.creds
backend/.db/

backend/init/*
backend/**/*temp.java

backend/src/main/resources/google-services.json
backend/src/main/resources/etf-oglasi-firebase.json
backend/src/main/resources/firebase.json

# Java / Eclipse / STS
.classpath
.project
.settings/
.springBeans
.sts4-cache/

# NetBeans
nbproject/private/
nbbuild/
nbdist/
.nb-gradle/

########################
# FRONTEND (React Native / Expo)
########################

frontend/node_modules/

frontend/google-services.json

frontend/.expo/
frontend/dist/
frontend/web-build/

frontend/.kotlin/
frontend/*.orig.*
frontend/*.jks
frontend/*.p8
frontend/*.p12
frontend/*.key
frontend/*.mobileprovision

frontend/.metro-health-check*

frontend/npm-debug.*
frontend/yarn-debug.*
frontend/yarn-error.*

frontend/.env
frontend/.env*.local

frontend/*.tsbuildinfo

# Native builds
frontend/ios/
frontend/android/

# Expo
frontend/expo-env.d.ts



CLAUDE.md
ksan.dev.keystore
